diff -dcrpN pgsql.orig/src/interfaces/ecpg/ecpglib/sqlda.c pgsql.2/src/interfaces/ecpg/ecpglib/sqlda.c
*** pgsql.orig/src/interfaces/ecpg/ecpglib/sqlda.c	2010-01-05 17:38:23.000000000 +0100
--- pgsql.2/src/interfaces/ecpg/ecpglib/sqlda.c	2010-01-06 09:35:02.000000000 +0100
***************
*** 10,18 ****
  #include "postgres_fe.h"
  #include "pg_type.h"
  
- #include <inttypes.h>
- #include <dlfcn.h>
- 
  #include "ecpg-pthread-win32.h"
  #include "decimal.h"
  #include "ecpgtype.h"
--- 10,15 ----
*************** sqlda_common_total_size(const PGresult *
*** 80,117 ****
  			case ECPGt_short:
  			case ECPGt_unsigned_short:
  				ecpg_sqlda_align_add_size(offset, sizeof(short), sizeof(short), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_int:
  			case ECPGt_unsigned_int:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(int), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_long:
  			case ECPGt_unsigned_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long), sizeof(long), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_long_long:
  			case ECPGt_unsigned_long_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long long), sizeof(long long), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_bool:
  				ecpg_sqlda_align_add_size(offset, sizeof(bool), sizeof(bool), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_float:
  				ecpg_sqlda_align_add_size(offset, sizeof(float), sizeof(float), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_double:
  				ecpg_sqlda_align_add_size(offset, sizeof(double), sizeof(double), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_decimal:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(decimal), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_numeric:
  				/*
--- 77,106 ----
*************** sqlda_common_total_size(const PGresult *
*** 120,126 ****
  				 * of the space needed for the numeric structure.
  				 */
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(numeric), &offset, &next_offset);
- 				ecpg_log("%s type %s offset1 %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				if (!PQgetisnull(res, row, i))
  				{
  					char	   *val = PQgetvalue(res, row, i);
--- 109,114 ----
*************** sqlda_common_total_size(const PGresult *
*** 130,150 ****
  					if (!num)
  						break;
  					ecpg_sqlda_align_add_size(next_offset, sizeof(int), num->ndigits + 1, &offset, &next_offset);
- 					ecpg_log("%s type %s offset2 %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  					PGTYPESnumeric_free(num);
  				}
  				break;
  			case ECPGt_date:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(date), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_timestamp:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(timestamp), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_interval:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(interval), &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			case ECPGt_char:
  			case ECPGt_unsigned_char:
--- 118,134 ----
*************** sqlda_common_total_size(const PGresult *
*** 153,159 ****
  			{
  				long	datalen = strlen(PQgetvalue(res, row, i)) + 1;
  				ecpg_sqlda_align_add_size(offset, sizeof(int), datalen, &offset, &next_offset);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(type), offset);
  				break;
  			}
  		}
--- 137,142 ----
*************** ecpg_set_compat_sqlda(int lineno, struct
*** 285,336 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(short), sizeof(short), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(short);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_int:
  			case ECPGt_unsigned_int:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(int), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(int);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_long:
  			case ECPGt_unsigned_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long), sizeof(long), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(long);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_long_long:
  			case ECPGt_unsigned_long_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long long), sizeof(long long), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(long long);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_bool:
  				ecpg_sqlda_align_add_size(offset, sizeof(bool), sizeof(bool), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(bool);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_float:
  				ecpg_sqlda_align_add_size(offset, sizeof(float), sizeof(float), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(float);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_double:
  				ecpg_sqlda_align_add_size(offset, sizeof(double), sizeof(double), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(double);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_decimal:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(decimal), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(decimal);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_numeric:
  			{
--- 268,311 ----
*************** ecpg_set_compat_sqlda(int lineno, struct
*** 342,348 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(numeric), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(numeric);
- 				ecpg_log("%s type %s offset1 %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  
  				if (PQgetisnull(res, row, i))
  				{
--- 317,322 ----
*************** ecpg_set_compat_sqlda(int lineno, struct
*** 362,368 ****
  
  				ecpg_sqlda_align_add_size(next_offset, sizeof(int), num->ndigits + 1, &offset, &next_offset);
  				memcpy((char *)sqlda + offset, num->buf, num->ndigits + 1);
- 				ecpg_log("%s type %s offset2 %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  
  				((numeric *)sqlda->sqlvar[i].sqldata)->buf = (NumericDigit *)sqlda + offset;
  				((numeric *)sqlda->sqlvar[i].sqldata)->digits = (NumericDigit *)sqlda + offset + (num->digits - num->buf);
--- 336,341 ----
*************** ecpg_set_compat_sqlda(int lineno, struct
*** 375,393 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(date), sizeof(date), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(date);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_timestamp:
  				ecpg_sqlda_align_add_size(offset, sizeof(timestamp), sizeof(timestamp), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(timestamp);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_interval:
  				ecpg_sqlda_align_add_size(offset, sizeof(int64_t), sizeof(interval), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(interval);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_char:
  			case ECPGt_unsigned_char:
--- 348,363 ----
*************** ecpg_set_compat_sqlda(int lineno, struct
*** 399,405 ****
  				sqlda->sqlvar[i].sqllen = datalen;
  				if (datalen > 32768)
  					sqlda->sqlvar[i].sqlilongdata = sqlda->sqlvar[i].sqldata;
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  		}
  
--- 369,374 ----
*************** ecpg_set_native_sqlda(int lineno, struct
*** 484,535 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(short), sizeof(short), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(short);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_int:
  			case ECPGt_unsigned_int:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(int), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(int);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_long:
  			case ECPGt_unsigned_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long), sizeof(long), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(long);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_long_long:
  			case ECPGt_unsigned_long_long:
  				ecpg_sqlda_align_add_size(offset, sizeof(long long), sizeof(long long), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(long long);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_bool:
  				ecpg_sqlda_align_add_size(offset, sizeof(bool), sizeof(bool), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(bool);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_float:
  				ecpg_sqlda_align_add_size(offset, sizeof(float), sizeof(float), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(float);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_double:
  				ecpg_sqlda_align_add_size(offset, sizeof(double), sizeof(double), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(double);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_decimal:
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(decimal), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(decimal);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_numeric:
  			{
--- 453,496 ----
*************** ecpg_set_native_sqlda(int lineno, struct
*** 541,547 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(int), sizeof(numeric), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(numeric);
- 				ecpg_log("%s type %s offset1 %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  
  				if (PQgetisnull(res, row, i))
  				{
--- 502,507 ----
*************** ecpg_set_native_sqlda(int lineno, struct
*** 561,567 ****
  
  				ecpg_sqlda_align_add_size(next_offset, sizeof(int), num->ndigits + 1, &offset, &next_offset);
  				memcpy((char *)sqlda + offset, num->buf, num->ndigits + 1);
- 				ecpg_log("%s type %s offset2 %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  
  				((numeric *)sqlda->sqlvar[i].sqldata)->buf = (NumericDigit *)sqlda + offset;
  				((numeric *)sqlda->sqlvar[i].sqldata)->digits = (NumericDigit *)sqlda + offset + (num->digits - num->buf);
--- 521,526 ----
*************** ecpg_set_native_sqlda(int lineno, struct
*** 574,592 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(date), sizeof(date), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(date);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_timestamp:
  				ecpg_sqlda_align_add_size(offset, sizeof(timestamp), sizeof(timestamp), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(timestamp);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_interval:
  				ecpg_sqlda_align_add_size(offset, sizeof(int64_t), sizeof(interval), &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = sizeof(interval);
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  			case ECPGt_char:
  			case ECPGt_unsigned_char:
--- 533,548 ----
*************** ecpg_set_native_sqlda(int lineno, struct
*** 596,602 ****
  				ecpg_sqlda_align_add_size(offset, sizeof(int), datalen, &offset, &next_offset);
  				sqlda->sqlvar[i].sqldata = (char *)sqlda + offset;
  				sqlda->sqlvar[i].sqllen = datalen;
- 				ecpg_log("%s type %s offset %d\n", __FUNCTION__, ecpg_type_name(sqlda->sqlvar[i].sqltype), offset);
  				break;
  		}
  
--- 552,557 ----
diff -dcrpN pgsql.orig/src/interfaces/ecpg/test/expected/compat_informix-sqlda.stderr pgsql.2/src/interfaces/ecpg/test/expected/compat_informix-sqlda.stderr
*** pgsql.orig/src/interfaces/ecpg/test/expected/compat_informix-sqlda.stderr	2010-01-05 17:38:23.000000000 +0100
--- pgsql.2/src/interfaces/ecpg/test/expected/compat_informix-sqlda.stderr	2010-01-06 09:29:46.000000000 +0100
***************
*** 36,81 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: a offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 1.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: a          offset: -1; array: yes
--- 36,61 ----
***************
*** 88,127 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 2 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: putting result (1 tuple 5 fields) into sqlda descriptor
--- 68,87 ----
***************
*** 132,177 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: "c" offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: -3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: NaN offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: c          offset: -1; array: yes
--- 92,117 ----
***************
*** 184,229 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 113: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 4.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 113: RESULT: d          offset: -1; array: yes
--- 124,149 ----
***************
*** 260,305 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: a offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 1.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: a          offset: -1; array: yes
--- 180,205 ----
***************
*** 312,351 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 2 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: putting result (1 tuple 5 fields) into sqlda descriptor
--- 212,231 ----
***************
*** 356,401 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: "c" offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: -3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: NaN offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: c          offset: -1; array: yes
--- 236,261 ----
***************
*** 408,453 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 4.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: d          offset: -1; array: yes
--- 268,293 ----
***************
*** 480,525 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 188: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 188: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 188: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 188: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 188: RESULT: 4.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 188: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 188: RESULT: d          offset: -1; array: yes
--- 320,345 ----
***************
*** 540,585 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 225: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_compat_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 225: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type int offset 672
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 225: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 676
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 225: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type decimal offset 680
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 225: RESULT: 4.0 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type double offset 736
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 225: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_compat_sqlda type char offset 744
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_compat_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 225: RESULT: d          offset: -1; array: yes
--- 360,385 ----
diff -dcrpN pgsql.orig/src/interfaces/ecpg/test/expected/sql-sqlda.stderr pgsql.2/src/interfaces/ecpg/test/expected/sql-sqlda.stderr
*** pgsql.orig/src/interfaces/ecpg/test/expected/sql-sqlda.stderr	2010-01-05 17:38:23.000000000 +0100
--- pgsql.2/src/interfaces/ecpg/test/expected/sql-sqlda.stderr	2010-01-06 09:29:45.000000000 +0100
***************
*** 36,83 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: a offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: a          offset: -1; array: yes
--- 36,59 ----
***************
*** 90,129 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 2 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: putting result (1 tuple 5 fields) into sqlda descriptor
--- 66,85 ----
***************
*** 134,181 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: "c" offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: NaN offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: c          offset: -1; array: yes
--- 90,113 ----
***************
*** 188,235 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 120: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 120: RESULT: d          offset: -1; array: yes
--- 120,143 ----
***************
*** 266,447 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: correctly got 4 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 3 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 3 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 3 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 3 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 3 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: d          offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: putting result (1 tuple 5 fields) into sqlda descriptor
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 2 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 3 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 2 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: "c" offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 2 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 2 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: NaN offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 2 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: c          offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: putting result (1 tuple 5 fields) into sqlda descriptor
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 1 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 2 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 1 col 1 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 1 col 2 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 1 col 3 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 1 col 4 IS NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: putting result (1 tuple 5 fields) into sqlda descriptor
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 150: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: a offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: 1 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 150: RESULT: a          offset: -1; array: yes
--- 174,263 ----
***************
*** 466,513 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 194: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 194: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 194: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 194: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 194: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 194: RESULT: d          offset: -1; array: yes
--- 282,305 ----
***************
*** 528,575 ****
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 231: correctly got 1 tuples with 5 fields
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: sqlda_common_total_size type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_build_native_sqlda sqld = 5
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_execute on line 231: new sqlda was built
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type int offset 512
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 0 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 231: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 516
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 1 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 231: RESULT: d offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset1 520
- [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type numeric offset2 560
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 2 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type double offset 568
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 3 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 231: RESULT: 4 offset: -1; array: yes
  [NO_PID]: sqlca: code: 0, state: 00000
- [NO_PID]: ecpg_set_native_sqlda type char offset 576
- [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_set_native_sqlda row 0 col 4 IS NOT NULL
  [NO_PID]: sqlca: code: 0, state: 00000
  [NO_PID]: ecpg_get_data on line 231: RESULT: d          offset: -1; array: yes
--- 320,343 ----
